HCSERIALD(8)

NAME
hcseriald - supervise serial Bluetooth devices

SYNOPSIS
hcseriald [-dh] -f device -n node_name [-s speed]

DESCRIPTION
The hcseriald utility handles serial Bluetooth devices. It does one simple thing: it opens the specified serial device, sets the device parameters, and pushes the H4 line discipline.

The options are as follows:

-d  Do not disassociate from the controlling terminal, i.e., run in foreground.

-f device
    Callout device name. Example: -f /dev/cuad0.

-h  Display usage message and exit.

-n node_name
    Set H4 Netgraph node name. Example: -n sio0.

-s speed
    Set serial device speed to speed. Example: -s 115200.

FILES
/var/run/hcserial.*.pid
    Process ID of the currently running hcseriald daemon. Where * is an H4 Netgraph node name.

SEE ALSO
ng_h4(4), ng_hci(4), tty(4), hccontrol(8)

AUTHORS
Maksim Yevmenkin <m_evmenkin@yahoo.com>